Qt 5.11 | Qt Multimedia | C++ Classes | QRadioDataControl

Qt 5.11.3 Reference Documentation

# QRadioDataControl Class

The QRadioDataControl class provides access to the RDS functionality of the radio in the QMediaService. More...

Header: | #include <QRadioDataControl>
qmake: | QT += multimedia
Inherits: | QMediaControl

- List of all members, including inherited members

## Public Functions

virtual | ~QRadioDataControl()
virtual QRadioData::Error | error() const = 0
virtual QString | errorString() const = 0
virtual bool | isAlternativeFrequenciesEnabled() const = 0
virtual QRadioData::ProgramType | programType() const = 0
virtual QString | programTypeName() const = 0
virtual QString | radioText() const = 0
virtual void | setAlternativeFrequenciesEnabled(bool enabled) = 0
virtual QString | stationId() const = 0
virtual QString | stationName() const = 0

## Signals

void | alternativeFrequenciesEnabledChanged(bool enabled)
void | error(QRadioData::Error err)
void | programTypeChanged(QRadioData::ProgramType programType)
void | programTypeNameChanged(QString programTypeName)
void | radioTextChanged(QString radioText)
void | stationIdChanged(QString stationId)
void | stationNameChanged(QString stationName)

## Protected Functions

| QRadioDataControl(QObject *parent = nullptr)

## Macros

| QRadioDataControl_iid

## Detailed Description

The QRadioDataControl class provides access to the RDS functionality of the radio in the QMediaService.

The functionality provided by this control is exposed to application code through the QRadioData class.

The interface name of QRadioDataControl is `org.qt-project.qt.radiodatacontrol/5.0` as defined in QRadioDataControl_iid.

See also QMediaService::requestControl() and QRadioData.

## Member Function Documentation

### `[protected]` QRadioDataControl::QRadioDataControl(QObject *parent = nullptr)

Constructs a radio data control with the given parent.

### `[virtual]` QRadioDataControl::~QRadioDataControl()

Destroys a radio data control.

### `[signal]` void QRadioDataControl::alternativeFrequenciesEnabledChanged(bool enabled)

### `[pure virtual]` QRadioData::Error QRadioDataControl::error() const

### `[signal]` void QRadioDataControl::error(QRadioData::Error err)

Note: Signal error is overloaded in this class. To connect to this signal by using the function pointer syntax, Qt provides a convenient helper for obtaining the function pointer as shown in this example:

      connect(radioDataControl, QOverload<QRadioData::Error>::of(&QRadioDataControl::error),
          [=](QRadioData::Error err){ /* ... */ });

### `[pure virtual]` QString QRadioDataControl::errorString() const

### `[pure virtual]` bool QRadioDataControl::isAlternativeFrequenciesEnabled() const

### `[pure virtual]` QRadioData::ProgramType QRadioDataControl::programType() const

### `[signal]` void QRadioDataControl::programTypeChanged(QRadioData::ProgramType programType)

### `[pure virtual]` QString QRadioDataControl::programTypeName() const

### `[signal]` void QRadioDataControl::programTypeNameChanged(QString programTypeName)

### `[pure virtual]` QString QRadioDataControl::radioText() const

### `[signal]` void QRadioDataControl::radioTextChanged(QString radioText)

### `[pure virtual]` void QRadioDataControl::setAlternativeFrequenciesEnabled(bool enabled)

See also isAlternativeFrequenciesEnabled().

### `[pure virtual]` QString QRadioDataControl::stationId() const

### `[signal]` void QRadioDataControl::stationIdChanged(QString stationId)

### `[pure virtual]` QString QRadioDataControl::stationName() const

### `[signal]` void QRadioDataControl::stationNameChanged(QString stationName)

## Macro Documentation

### QRadioDataControl_iid

`org.qt-project.qt.radiodatacontrol/5.0`

Defines the interface name of the QRadioDataControl class.